Differences

This shows you the differences between two versions of the page.

Link to this comparison view

control_error_-_you_must_use_the_role_management_tool_to_install_or_configure_microsoft_.net_framework_3.5 [2019/01/27 11:28] (current)
Line 1: Line 1:
 +====== ​ ======
 +
 +
 +
 +===== Error Message =====
 +
 +
 +
 +You must use the Role Management Tool to install or configure Microsoft .NET Framework 3.5.
 +
 +
 +
 +===== Explanation of Error =====
 +
 +
 +
 +When attempting to complete the install of Cyrious Control onto a system with the Microsoft Windows Server 2008 R2 operating system you encounter the error above. ​
 +
 +
 +
 +===== Severity =====
 +
 +**High**. User will not be able to successfully install the program.
 +
 +
 +
 +===== Possible Root Cause(s) =====
 +
 +
 +
 +Microsoft Windows Server 2008 R2 already has Microsoft .NET 3.5.1 framework pre-installed however it is in a disabled state. To correct the problem you just need to enable the feature from Server Manager interface.
 +
 +
 +
 +===== Resolution =====
 +  - Click on the Windows '​Start'​ button on the Task bar.
 +  - Type '​Server'​ in the dialog box
 +  - Double-click the Program '​Server Manager.
 +  - Once your Server Manager appears, highlight 'Add features'​
 +  - When the wizard appears select 'NET Framework 3.5.1' from the Add Features Wizard in Server Manager.
 +  - Follow the prompts to install.
 +  - Rerun the Control installation.
 +
 +
 +
 +===== Version Information =====
 +  * Reported : 11/05/2009
 +  * Version(s): Control 4.3, Windows Server 2008 R2
 +
 +
 +